**********
* do all *
**********

cd E:\paper\关税削减与消费者福利分配\202301180_数据\data

do "..\data construction.do"
*使用衍生数据“data_match1”“data_wiod”计算得到uhs各个产品相关信息
*生成数据“data_uhs”，同时计算以下两表
**表1  进口消费比例与国产品进口中间品含量
**表2  UHS项目最终品与中间关税变化



do "..\福利计算.do"
*使用"..\data construction.do"中得到的“data_uhs”数据
*结合整理后的UHS数据“uhs1”对福利进行计算
*得到以下两图
**图1 数据不同收入组的福利总效应（区分直接效应与间接效应）\\图1为原始数据
**表3  福利变动与家户人均收入的关系


do "..\机制1直接效应.do"
*使用"..\data construction.do"中得到的“data_uhs”数据中的SM,tfinal
*使用只保留商品支出的UHS数据“uhs2”中的支出比例share1-share105作为权重计算加权直接进口份额与最终品关税降幅
*得到结果：
**图2 不同收入组可贸易品消费比例、可贸易品直接进口份额与最终品关税降幅
**附录表A1  直接效应机制
**图3 各类商品直接进口份额与消费者收入的关系


do "..\机制2间接效应.do"
*使用"..\data construction.do"中得到的“data_uhs”数据中的SD,tw,IP
*结合整理后的UHS数据“uhs1”对影响间接效应的三种因素进行加权计算
*得到结果：
**图4 不同收入组的国产品消费份额、国产品进口中间品含量与中间品关税降幅
**表A2  间接效应机制
**图5  国产品进口中间品含量与消费者收入的关系


do "..\附录.do"
*附录3放松对市场结构的假设：
*使用“uhs1”与“data_uhs”生成的相关数据对关税不完全传递下的福利进行计算
*得到：
**表Ⅲ1  关税不完全传递下的福利效应

*附录4允许进口产品中包含国内附加值
*结合原始投入产出表对国产品与进口品的价格变动进行计算整理得到数据“robustdata1”
*结合“uhs1”的支出数据对福利进行计算，得到：
**图Ⅳ1允许进口中包含国内附加值的福利结果



